/*
 * T-Plan Robot Enterprise, automated testing tool.
 * Copyright (C) 2009-2013 T-Plan Limited (http://www.t-plan.com),
 * Cloisters House, 8 Battersea Park Road, London, SW8 4BG, United Kingdom.
 * All rights reserved.
 */
package com.tplan.db;

import com.tplan.robot.preferences.Preference;
import com.tplan.robot.scripting.ParametrizedTestScript;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

/**
 * Java test script to perform the roll back.
 */
public class Rollback extends AbstractDbScript implements ParametrizedTestScript {

    @Override
    public void test() {
        // Get the current connection
        Connection conn = getCurrentConnection(true);
        if (conn == null) {
            return;
        }
        
        // Perform the rollback
        try {
            conn.commit();
        } catch (SQLException ex) {
            String msg = "The rollback failed: "+ex.getMessage();
            fail(msg, 2);
        }
        setVariable("_EXIT_CODE", "0");
    }
    
    public List<String> getParameters() {
        return null;
    }

    public List getParameterValues(String parameterName) {
        return null;
    }

    public void setParameters(Map<String, String> paramsAndValues) {
    }

    public List<Preference> getVisualParameters() {
        return null;
    }

    public String getShortDescription() {
        return "Commit the changes to the database.";
    }

    public String getLongDescription() {
        return getShortDescription();
    }
}
